# Uses of Interface
org.opensaml.xacml.ctx.DecisionType

Packages that use DecisionType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of DecisionType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return DecisionType
Modifier and Type
Method
Description
`DecisionType`
ResultType.`getDecision()`
Returns the decision in the result.
Methods in org.opensaml.xacml.ctx with parameters of type DecisionType
Modifier and Type
Method
Description
`void`
ResultType.`setDecision(DecisionType newDecision)`
Sets the decision in the result.

## Uses of DecisionType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement DecisionType
Modifier and Type
Class
Description
`class`
`DecisionTypeImpl`
Concrete implementation of `DecisionType`.
Fields in org.opensaml.xacml.ctx.impl declared as DecisionType
Modifier and Type
Field
Description
`private DecisionType`
ResultTypeImpl.`decision`
The decision of the result.
Methods in org.opensaml.xacml.ctx.impl that return DecisionType
Modifier and Type
Method
Description
`DecisionType`
DecisionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`DecisionType`
DecisionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`DecisionType`
ResultTypeImpl.`getDecision()`
Returns the decision in the result.
Methods in org.opensaml.xacml.ctx.impl with parameters of type DecisionType
Modifier and Type
Method
Description
`void`
ResultTypeImpl.`setDecision(DecisionType decisionIn)`
Sets the decision in the result.